@import "~@digicard/src/static/css/mixin.scss";
@import "~@digicard/src/variables.scss";

.root {

    .header {
        height: 50px;
        display: flex;
        align-items: center;
        padding: 20px;
    }

    .content {
        max-width: 700px;
        margin: 140px auto auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        $font-size: 14px;

        @include Responsive(mobile) {
            max-width: unset;
            padding: 20px;
        }

        .form {
            width: 100%;
            margin-top: 80px;

            @include Responsive(tablet) {
                margin-top: 50px;
            }

            h3 {
                height: 50px;
                background: $primary_color;
                border-radius: 15px 15px 0 0;
                padding: 9px 0;

                text-align: center;
                font-weight: bold;
                font-size: 28px;
                line-height: 33px;
                text-transform: uppercase;
                color: $white_text_color;

                @include Responsive(mobile) {
                    font-size: 16px;
                }
            }

            .formItem {
                @include Responsive(tablet) {
                    margin-bottom: 10px;
                }
            }

            .input {
                background: $white_text_color;
                //box-shadow: 0px 4px 11px rgba(0, 0, 0, 0.25);
                border-radius: 30px;
                height: 50px;
                text-align: center;

                @include Responsive(tablet) {
                    height: 40px;
                }

                ::placeholder {
                    text-align: center;
                    margin-right: 50px;
                    font-weight: 300;
                }

                .icon {
                    font-size: 20px;
                    padding: 0 16px;
                    color: $gray_color;
                    border-right: 1px solid $gray_color;
                }
            }

            .detail {
                font-size: $font-size;

                a {
                    font-style: italic;
                }

                display: flex;
                justify-content: space-between;
            }

            .btnSignIn {
                margin: 30px auto 0 auto;
                background: $primary_color;
                border-radius: 32px;
                height: 50px;
                text-align: center;

                font-weight: bold;
                font-size: $font-size;
                line-height: 1.2;
                text-transform: uppercase;
                color: $white_text_color;
                min-width: 348px;

                display: flex;
                justify-content: center;
                align-items: center;

                @include Responsive(tablet) {
                    min-width: 100%;
                    height: 40px;
                    margin: 20px auto 0 auto;
                }
            }
        }
    }

}
